<?
include "config.php";
?>


<? include "top.txt"; ?>

<?


$signedstring  = $HTTP_POST_VARS["signedstring"];
$signString    = $HTTP_POST_VARS["signString"];
$wmid = $nomerid;

list($status, $err) = TestAutority($wmid, $signedstring, $signString);

if ($status == -1)
{ print "

Ошибка проверки: $err"; }
elseif ($status ==  0)
{ print "

Аутентификация не произведена"; }
elseif ($status ==  1) {


   if ($HTTP_SERVER_VARS["HTTP_X_FORWARDED_FOR"] != ""){ 
       $IP = $HTTP_SERVER_VARS["HTTP_X_FORWARDED_FOR"]; 
       $proxy = $HTTP_SERVER_VARS["REMOTE_ADDR"]; 
       $host = @gethostbyaddr($HTTP_SERVER_VARS["HTTP_X_FORWARDED_FOR"]); 
   }else{ 
       $IP = $HTTP_SERVER_VARS["REMOTE_ADDR"]; 
       $host = @gethostbyaddr($HTTP_SERVER_VARS["REMOTE_ADDR"]); 
   } 


$result = mysql_query ("select * from partner where Email='$email1'",$cnct);
$result2 = mysql_query ("select * from partner where WMID='$wmid'",$cnct);
$result3 = mysql_query ("select * from partner where Login='$login1'",$cnct);

if (mysql_num_rows($result)!=0){echo '
Пользователь с таким e-mail уже существует - вернитесь назад и введите другой e-mail.<br><br><center><a href="javascript:history.back()" class="link4"><< Назад</a></center>';}
elseif (mysql_num_rows($result2)!=0){echo '
Пользователь с таким WMID уже существует - вернитесь назад и введите другой WMID.<br><br><center><a href="javascript:history.back()" class="link4"><< Назад</a></center>';}
elseif (mysql_num_rows($result3)!=0){echo '
Пользователь с таким Логином уже существует - вернитесь назад и введите другой Логин.<br><br><center><a href="javascript:history.back()" class="link4"><< Назад</a></center>';}
else {

$wmidcode = rand(1,9999999999999);
$emailcode = rand(1,9999999999999);
$que=@mysql_query ("SELECT * FROM `partner` ORDER BY `ID` DESC"); 
$ida = mysql_num_rows($que);
$id = $ida+1;
$ok=@mysql_query ("INSERT INTO partner values ('$id', NOW(), '$email1', '$wmid', '$wmz', '$login1', '$pass', '0', '0.00', '$url', 'enabled',  '$IP')"); 



$frommes="$email";
$subject="Регистрация в партнёрской программе";
$headers = "Message-ID: $time@smtp.d-7.org\n";
$headers = "From: $frommes\n";
$headers .= "Content-Transfer-Encoding: 8bit\n";
$headers .= "MIME-Version: 1.0\n";
$headers .= "Content-Language: ru\n";
$headers .= "X-Priority: 2 (High)\n";
$tm= time();
$headers .= "Content-Type: text/plain; charset=Windows-1251\n";
$data = date("H:i:s d.m.y");
$mailbody="
Здравствуйте, уважаемый партнёр www.$domen
Поздравляем с регистрацией на нашем сайте.
Ваши данные:

ID: $id
Дата регистрации: $data
Email: $email1
URL: $url
WMID: $wmid
WMZ: $wmz
Логин: $login1
Пароль: $pass


---
С уважением, администрация www.$domen
";
$sucess = mail($email1,$subject,$mailbody,$headers);



echo '

Поздравляем, вы успешно зарегистрированы. Как только Вы авторизируетесь ещё раз, Вы получите дальшнейшие инструкции.<br><br>
<a href="authpartner.php" class="link4">Авторизация</a>';
}
}
else
{ print "

Внутренняя ошибка скрипта"; }
?>


<? include "down.txt"; ?>
